Bug 1732797 - Upstream bug fixes for gloox including TLS-related crash
Summary: Upstream bug fixes for gloox including TLS-related crash
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gloox
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 11:47 UTC by Ben Brian
Modified: 2019-11-27 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:03:25 UTC


Attachments (Terms of Use)

Description Ben Brian 2019-07-24 11:47:40 UTC
Description of problem:
Packaged version of gloox (1.0.14) has a number of bugs which have since been fixed, including the following most relevant to the 0ad package:
* TLSGNUTLS*Anon: fix GnuTLS test by explicitely requesting ANON key exchange algorithms (fixes #279)
* TLSGNUTLSClient: fix server cert validation by adding gnutls_certificate_set_x509_system_trust() (fixes #280)
* Registration: added Resource Constraint error condition (#267)
* TLSGNUTLSClient: fixed off-by-one error in certificate verification

The TLSGNUTLSClient bugs in particular cause a crash in 0ad when trying to login to the multiplayer lobby with TLS enabled. See reports:
* https://trac.wildfiregames.com/ticket/5349
* https://bugzilla.redhat.com/show_bug.cgi?id=1667682
* https://bugzilla.redhat.com/show_bug.cgi?id=1669448

These are fixed in latest gloox 1.0.22.

Version-Release number of selected component (if applicable):
1.0.14

How reproducible:
Always.

Steps to Reproduce:
1. Install and run 0ad
2. Register for multiplayer lobby
3. Attempt to login to the multiplayer lobby

Actual results:
Segfault.

Expected results:
Enter the lobby.

Additional info:
Works with latest gloox 1.0.22. Also with patches applied for r4647, r4758, r4818, and r4821 to 1.0.14. But really an update to 1.0.22 would be best to fix numerous other bugs.

(However one thing to beware of is that the build option --with-getaddrinfo was made default in 1.0.22. I had no problems with this in testing 0ad on Fedora 29, but it's different behavior and did cause problems on macOS)

Comment 1 Ben Cotton 2019-10-31 19:02:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 23:03:25 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.